Index: subunit/Makefile.am
===================================================================
--- subunit.orig/Makefile.am
+++ subunit/Makefile.am
@@ -92,8 +92,10 @@ include_subunit_HEADERS = \
 	c/include/subunit/child.h \
 	c++/SubunitTestProgressListener.h
 
+if ENABLE_CHECK
 check_PROGRAMS = \
 	c/tests/test_child
+endif
 
 libsubunit_la_SOURCES = \
 	c/lib/child.c \
@@ -103,9 +105,11 @@ libcppunit_subunit_la_SOURCES = \
 	c++/SubunitTestProgressListener.cpp \
 	c++/SubunitTestProgressListener.h
 
+if ENABLE_CHECK
 tests_LDADD = @CHECK_LIBS@ $(top_builddir)/libsubunit.la
 c_tests_test_child_CFLAGS = -I$(top_srcdir)/c/include $(SUBUNIT_CFLAGS) @CHECK_CFLAGS@
 c_tests_test_child_LDADD = $(tests_LDADD)
+endif
 
 
 all-local: perl/Makefile
Index: subunit/configure.ac
===================================================================
--- subunit.orig/configure.ac
+++ subunit/configure.ac
@@ -8,6 +8,9 @@ AC_INIT([subunit], [SUBUNIT_VERSION], [s
 AC_CONFIG_SRCDIR([c/lib/child.c])
 AM_INIT_AUTOMAKE([-Wall -Werror foreign subdir-objects])
 AC_CONFIG_MACRO_DIR([m4])
+AC_ARG_ENABLE([check],[running building and runnings tests with check],
+	[enable_check=$enableval],[enable_check=yes])
+AM_CONDITIONAL([ENABLE_CHECK],[test "$enable_check" = yes])
 [SUBUNIT_MAJOR_VERSION]=SUBUNIT_MAJOR_VERSION
 [SUBUNIT_MINOR_VERSION]=SUBUNIT_MINOR_VERSION
 [SUBUNIT_MICRO_VERSION]=SUBUNIT_MICRO_VERSION
@@ -61,7 +64,9 @@ AC_FUNC_REALLOC
 
 # Easier memory management.
 # C unit testing.
-PKG_CHECK_MODULES([CHECK], [check >= 0.9.4])
+AS_IF([test "$enable_check" = yes],[
+	PKG_CHECK_MODULES([CHECK], [check >= 0.9.4])
+])
 # C++ unit testing.
 PKG_CHECK_MODULES([CPPUNIT], [cppunit])
 
